=== xdg/quickshell/dms/distro/ubuntu/dms-git/debian/changelog ===
dms-git (0.6.2+git2169.f7f1bbbdppa10) questing; urgency=medium

  * Git snapshot (commit 2169: f7f1bbbd)

 -- Avenge Media <AvengeMedia.US@gmail.com>  Wed, 26 Nov 2025 21:43:12 -0500
