=== xdg/quickshell/dms/distro/ubuntu/dms-greeter/debian/control ===
Source: dms-greeter
Section: x11
Priority: optional
Maintainer: Avenge Media <AvengeMedia.US@gmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/AvengeMedia/DankMaterialShell
Vcs-Browser: https://github.com/AvengeMedia/DankMaterialShell
Vcs-Git: https://github.com/AvengeMedia/DankMaterialShell.git

Package: dms-greeter
Architecture: all
Depends: ${misc:Depends},
         greetd,
         quickshell-git | quickshell
Recommends: niri | hyprland | sway
Description: DankMaterialShell greeter for greetd
 DankMaterialShell greeter for greetd login manager. A modern, Material Design 3
 inspired greeter interface built with Quickshell for Wayland compositors.
 .
 Supports multiple compositors including Niri, Hyprland, and Sway with automatic
 compositor detection and configuration. Features session selection, user
 authentication, and dynamic theming.
